﻿CREATE PROCEDURE [dbo].[usp_GeneralSettings_UpdateSettingValueByGroupAndName]
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--+  Copyright + 2015, Improvement Path Systems, Inc.
--+  All rights reserved
--+
--+  Procedure Description: update specific setting value
--+
--+  Date		Developer	Description
--+  ----------	--------------	----------------------------
--+  01/14/2015	Joel Ewald	PHAR-102 Initial Release. 
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

	@SettingGroup varchar(25),
	@SettingName varchar(100), 
	@SettingValue nvarchar(150),
	@LastChangeUser varchar(20)
	
AS
SET NOCOUNT ON;
BEGIN TRY

IF NOT EXISTS(SELECT 1 FROM dbo.GeneralSettings CFG	WHERE CFG.SettingGroup = @SettingGroup AND CFG.SettingName = @SettingName)
	BEGIN
		INSERT INTO dbo.GeneralSettings
		VALUES(@SettingGroup, @SettingName, @SettingValue, @LastChangeUser)
	END
ELSE
	BEGIN
		UPDATE CFG
		SET SettingValue = @SettingValue,
			LastChangeUser = @LastChangeUser
		FROM dbo.GeneralSettings CFG
		WHERE CFG.SettingGroup = @SettingGroup
			AND CFG.SettingName = @SettingName
	END
		
END TRY
BEGIN CATCH
   DECLARE @ErrorMessage NVARCHAR(4000),
           @ErrorSeverity INT, 
           @ErrorState INT; 
 
    SET @ErrorMessage = ERROR_MESSAGE(); 
    SET @ErrorSeverity = ERROR_SEVERITY(); 
    SET @ErrorState = ERROR_STATE(); 
    
    RAISERROR(@ErrorMessage,@ErrorSeverity,@ErrorState); 
 
    RETURN ERROR_NUMBER();
    
END CATCH